Subject: [AAA-WG]: Minor NASREQ-12 editorial nits

From: <[email-masked]>
Date: Tue, 12 Aug 2003 12:20:30 +0300

Minor NASREQ-12 editorial nits
Submitter name: Pasi Eronen
Submitter email address: [email-masked]
Date first submitted: August 12, 2003
Reference: 
Document: NASREQ-12
Comment type: E
Priority: 1
Section: various
Rationale/Explanation of issue:

- The draft mentions the CMS Application in several places. 
  Since CMS is dead, should these be removed?

- Section 3.1: "The type of request is identified through the
  Auth-Request-Type AVP, and the default mode is both 
  authentication and authorization."

  The default mode would make more sense if Auth-Request-Type AVP 
  was optional to include. But since it's mandatory, maybe 
  this sentence would be clearer with the second part deleted?

- References:
  - IPv6Addr has been obsoleted by RFC3513
  - AAATrans, RADDynAuth, and RADIUSIANA have been published 
    as RFCs (3539, 3576, 3575)
  - DiamEAP is now at version -02
  - The following references are never cited in the document, 
    so they're probably unnecessary: NAI, ExtRADPract, CDM2000, 
    TCPCompress, L2F, ATMP, MSMPPE, UTF-8

- Typos:
  - Section 4.6: s/the the/the/
  - Section 4.6: ".sp"?
  - Section 4.8: s/(AVP Code 94 is/(AVP Code 94) is/
  - Section 6.11: s/proprietarySingleLink/proprietary SingleLink/
  - Section 6.12: s/proprietary, SingleLink/proprietary SingleLink/
  - Section 7.8: s/QOS/QoS/ (twice)
  - Section 9.1: s/availible/available/
  - Section 9.2: s/reponse/response/
  - Section 10.1: extra " in last line of table

- The document has lots of extra spaces between words in 
  several places, but the RFC editor will probably 
  take care of them.

Best regards,
Pasi